Quarantine delete¶
POST/
Email Management API · Post-Delivery Quarantine
Delete one or more messages from post quarantine.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
Request body¶
Content type: application/json
Request body fields
itemsarray of objectrequiredMust contain at most 50 items.
Show child attributesHide child attributes
idstring (uuid)requiredID from 'X-Sophos-Email-ID' header.
forRecipientsarray of stringTarget email addresses.
Request samples¶
curl -X POST "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/delete" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
\"items\": [
{
\"id\": \"fcec2f92-68a3-4ce6-9387-a74547a4f72e\",
\"forRecipients\": [
\"user_bob@sophos.com\"
]
}
]
}"
import requests
response = requests.post(
"https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/delete",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
json={ 'items': [ { 'id': 'fcec2f92-68a3-4ce6-9387-a74547a4f72e',
'forRecipients': ['user_bob@sophos.com']}]},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
"Content-Type" = "application/json"
}
$body = '{
"items": [
{
"id": "fcec2f92-68a3-4ce6-9387-a74547a4f72e",
"forRecipients": [
"user_bob@sophos.com"
]
}
]
}'
Invoke-RestMethod -Method POST -Uri "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/delete" -Headers $headers -Body $body -ContentType "application/json"
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
req, err := http.NewRequest("POST", "https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/delete", strings.NewReader(`{
"items": [
{
"id": "fcec2f92-68a3-4ce6-9387-a74547a4f72e",
"forRecipients": [
"user_bob@sophos.com"
]
}
]
}`))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/email/v1/post-delivery-quarantine/messages/delete", {
method: "POST",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"items": [
{
"id": "fcec2f92-68a3-4ce6-9387-a74547a4f72e",
"forRecipients": [
"user_bob@sophos.com"
]
}
]
}),
});
const data = await response.json();
console.log(data);
Responses¶
200 — Messages deleted from post-delivery quarantine.¶
Response fields
itemsarray of objectList of items for which the requested action was successful.
Show child attributesHide child attributes
idstring (uuid)requiredID from 'X-Sophos-Email-ID' header.
recipientstringrequiredTarget email address.
errorsarray of objectList of items for which requested action failed.
Show child attributesHide child attributes
idstring (uuid)requiredID from 'X-Sophos-Email-ID' header.
recipientstringrequiredEmail address where there was an error in performing requested action.
errorstringReason for error.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
See the guide for a narrative walkthrough of this API.